class Ship extends Particle {
	int ax;
	int ay;
	int fireTime;
	
	public Ship(int x, int y, int owner) {
		super(x, y, 0, 0, 20, owner);
		fireTime = -1;
	}
	
	public Particle fire() {
		fireTime = 4;
		return new Particle(x, y, vx * 2, vy * 2, 5, owner);
	}
	
	public void update() {
		super.update();
		
		vx += ax;
		if(vx < -10) vx = -10;
		else if(vx > 10) vx = 10;
		
		vy += ay;
		if(vy < -10) vy = -10;
		else if(vy > 10) vy = 10;
		
		if(x < 0) {
			vx = -vx;
			x = -x;
		} else if(x >= 600) {
			vx = -vx;
			x = 1199 - x;
		}
		
		if(y < 0) {
			vy = -vy;
			y = -y;
		} else if(y >= 600) {
			vy = -vy;
			y = 1199 - y;
		}
	}
}